DRM_GEM_PRIME_IMPORT(9)

NAME
drm_gem_prime_import - helper library implementation of the import callback

SYNOPSIS

struct drm_gem_object * drm_gem_prime_import(struct drm_device * dev, struct dma_buf * dma_buf);

ARGUMENTS

dev
    drm_device to import into

dma_buf
    dma-buf object to import

DESCRIPTION

This is the implementation of the gem_prime_import functions for GEM drivers using the PRIME helpers.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT